%define piname	route_pi
%define tarversion 1.2-ov50

Name:		opencpn-route-plugin
Summary:	Great Circle Route plotting plugin for OpenCPN 
Version:	1.2
Release:	%mkrel 1
License:	GPLv2
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/route.html
Source0 :   https://github.com/SaltyPaws/%{piname}/archive/v%{tarversion}/%{piname}-%{tarversion}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel < 3.1
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Route Plotting plugin aka 'Great Circle Route' plugin for OpenCPN.

Plots Great Circle routes, Limited Circle routes, and Rhumb lines.

%prep
%autosetup -p1 -n %{piname}-%{tarversion}

%build
%cmake

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so


%changelog
* Thu Jul 22 2021 barjac <barjac> 1.2-1.mga9
+ Revision: 1737452
- set version limit on wxgtku BR
- Improve summary
- format %%description
+ philippedidier <philippedidier>
- imported package opencpn-route-plugin

